<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.13" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="structcy__stc__ble__gap__encrypt__change__param__t" kind="struct" language="C++" prot="public">
    <compoundname>cy_stc_ble_gap_encrypt_change_param_t</compoundname>
    <includes local="no">cy_ble_stack_gap.h</includes>
      <sectiondef kind="public-attrib">
      <memberdef id="structcy__stc__ble__gap__encrypt__change__param__t_1afd8d96bb4842420eedb0cd5b20b1011c" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t</type>
        <definition>uint8_t cy_stc_ble_gap_encrypt_change_param_t::bdHandle</definition>
        <argsstring />
        <name>bdHandle</name>
        <briefdescription>
<para>Peer bdHandle. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_gap.h" bodystart="879" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_gap.h" line="879" />
      </memberdef>
      <memberdef id="structcy__stc__ble__gap__encrypt__change__param__t_1a19be2401c0b4950d25772265e41bddbc" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t</type>
        <definition>uint8_t cy_stc_ble_gap_encrypt_change_param_t::encryption</definition>
        <argsstring />
        <name>encryption</name>
        <briefdescription>
<para>Encryption change event for active connection. </para>        </briefdescription>
        <detaileddescription>
<para>'evParam' can be decoded as encryption = CY_BLE_GAP_ENCRYPT_OFF -&gt; Encryption OFF encryption = CY_BLE_GAP_ENCRYPT_ON -&gt; Encryption ON </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_gap.h" bodystart="884" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_gap.h" line="884" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>Encryption Change Parameters. </para>    </briefdescription>
    <detaileddescription>
    </detaileddescription>
    <location bodyend="886" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_gap.h" bodystart="876" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_gap.h" line="877" />
    <listofallmembers>
      <member prot="public" refid="structcy__stc__ble__gap__encrypt__change__param__t_1afd8d96bb4842420eedb0cd5b20b1011c" virt="non-virtual"><scope>cy_stc_ble_gap_encrypt_change_param_t</scope><name>bdHandle</name></member>
      <member prot="public" refid="structcy__stc__ble__gap__encrypt__change__param__t_1a19be2401c0b4950d25772265e41bddbc" virt="non-virtual"><scope>cy_stc_ble_gap_encrypt_change_param_t</scope><name>encryption</name></member>
    </listofallmembers>
  </compounddef>
</doxygen>